libzypp 17.37.10

zypp::media::ScopedDisableMediaChangeReport Class Reference

Temporarily disable MediaChangeReport Sometimes helpful to suppress interactive messages connected to MediaChangeReport while fallback URLs are avaialble. More...

`#include <zypp/ZYppCallbacks.h>`

## Public Member Functions
| ScopedDisableMediaChangeReport (bool condition_r=true)
| Disbale MediaChangeReport if condition_r is `true`.

## Private Attributes
shared_ptr< callback::TempConnect< media::MediaChangeReport > > | _guard

## Detailed Description

Temporarily disable MediaChangeReport Sometimes helpful to suppress interactive messages connected to MediaChangeReport while fallback URLs are avaialble.

Definition at line 353 of file ZYppCallbacks.h.

## Constructor & Destructor Documentation

## ◆ ScopedDisableMediaChangeReport()

zypp::media::ScopedDisableMediaChangeReport::ScopedDisableMediaChangeReport | ( | bool | condition_r = true | ) |

Disbale MediaChangeReport if condition_r is `true`.

Definition at line 87 of file ZYppImpl.cc.

## Member Data Documentation

## ◆ _guard

shared_ptr<callback::TempConnect<media::MediaChangeReport> > zypp::media::ScopedDisableMediaChangeReport::_guard
| private

Definition at line 358 of file ZYppCallbacks.h.

The documentation for this class was generated from the following files:

- zypp/ZYppCallbacks.h
- zypp/zypp_detail/ZYppImpl.cc